* {
    margin: 0px;
    padding: 0px;
    scrollbar-width: thin;
    scrollbar-color: #fff #252233;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

/* ::-webkit-scrollbar-track {
    background-color: #252233;
} */

/* .fade-in-image {
    animation: fadeIn 5s;
} */

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.cadre_scroll {
    position: relative;
}

body,
html {
    padding: 0px;
    margin: 0px;
    font-family: "Poppins", sans-serif;
    scroll-behavior: smooth;
}

body {
    overflow-x: hidden;
    /* background-color: #252233;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100%25' height='100%25' viewBox='0 0 1600 800'%3E%3Cg fill-opacity='0.1'%3E%3Cpath fill='%232c273e' d='M486 705.8c-109.3-21.8-223.4-32.2-335.3-19.4C99.5 692.1 49 703 0 719.8V800h843.8c-115.9-33.2-230.8-68.1-347.6-92.2C492.8 707.1 489.4 706.5 486 705.8z'/%3E%3Cpath fill='%23322d49' d='M1600 0H0v719.8c49-16.8 99.5-27.8 150.7-33.5c111.9-12.7 226-2.4 335.3 19.4c3.4 0.7 6.8 1.4 10.2 2c116.8 24 231.7 59 347.6 92.2H1600V0z'/%3E%3Cpath fill='%23393154' d='M478.4 581c3.2 0.8 6.4 1.7 9.5 2.5c196.2 52.5 388.7 133.5 593.5 176.6c174.2 36.6 349.5 29.2 518.6-10.2V0H0v574.9c52.3-17.6 106.5-27.7 161.1-30.9C268.4 537.4 375.7 554.2 478.4 581z'/%3E%3Cpath fill='%233f3660' d='M0 0v429.4c55.6-18.4 113.5-27.3 171.4-27.7c102.8-0.8 203.2 22.7 299.3 54.5c3 1 5.9 2 8.9 3c183.6 62 365.7 146.1 562.4 192.1c186.7 43.7 376.3 34.4 557.9-12.6V0H0z'/%3E%3Cpath fill='%23463A6C' d='M181.8 259.4c98.2 6 191.9 35.2 281.3 72.1c2.8 1.1 5.5 2.3 8.3 3.4c171 71.6 342.7 158.5 531.3 207.7c198.8 51.8 403.4 40.8 597.3-14.8V0H0v283.2C59 263.6 120.6 255.7 181.8 259.4z'/%3E%3Cpath fill='%23423767' d='M1600 0H0v136.3c62.3-20.9 127.7-27.5 192.2-19.2c93.6 12.1 180.5 47.7 263.3 89.6c2.6 1.3 5.1 2.6 7.7 3.9c158.4 81.1 319.7 170.9 500.3 223.2c210.5 61 430.8 49 636.6-16.6V0z'/%3E%3Cpath fill='%233f3461' d='M454.9 86.3C600.7 177 751.6 269.3 924.1 325c208.6 67.4 431.3 60.8 637.9-5.3c12.8-4.1 25.4-8.4 38.1-12.9V0H288.1c56 21.3 108.7 50.6 159.7 82C450.2 83.4 452.5 84.9 454.9 86.3z'/%3E%3Cpath fill='%233b315c' d='M1600 0H498c118.1 85.8 243.5 164.5 386.8 216.2c191.8 69.2 400 74.7 595 21.1c40.8-11.2 81.1-25.2 120.3-41.7V0z'/%3E%3Cpath fill='%23382e56' d='M1397.5 154.8c47.2-10.6 93.6-25.3 138.6-43.8c21.7-8.9 43-18.8 63.9-29.5V0H643.4c62.9 41.7 129.7 78.2 202.1 107.4C1020.4 178.1 1214.2 196.1 1397.5 154.8z'/%3E%3Cpath fill='%23342B51' d='M1315.3 72.4c75.3-12.6 148.9-37.1 216.8-72.4h-723C966.8 71 1144.7 101 1315.3 72.4z'/%3E%3C/g%3E%3C/svg%3E");
    background-attachment: fixed;
    background-size: cover; */
    background-color: #252233;
background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100%25' height='100%25' viewBox='0 0 1600 800'%3E%3Cg fill-opacity='0.07'%3E%3Cpath fill='%232c273e' d='M486 705.8c-109.3-21.8-223.4-32.2-335.3-19.4C99.5 692.1 49 703 0 719.8V800h843.8c-115.9-33.2-230.8-68.1-347.6-92.2C492.8 707.1 489.4 706.5 486 705.8z'/%3E%3Cpath fill='%23322d49' d='M1600 0H0v719.8c49-16.8 99.5-27.8 150.7-33.5c111.9-12.7 226-2.4 335.3 19.4c3.4 0.7 6.8 1.4 10.2 2c116.8 24 231.7 59 347.6 92.2H1600V0z'/%3E%3Cpath fill='%23393154' d='M478.4 581c3.2 0.8 6.4 1.7 9.5 2.5c196.2 52.5 388.7 133.5 593.5 176.6c174.2 36.6 349.5 29.2 518.6-10.2V0H0v574.9c52.3-17.6 106.5-27.7 161.1-30.9C268.4 537.4 375.7 554.2 478.4 581z'/%3E%3Cpath fill='%233f3660' d='M0 0v429.4c55.6-18.4 113.5-27.3 171.4-27.7c102.8-0.8 203.2 22.7 299.3 54.5c3 1 5.9 2 8.9 3c183.6 62 365.7 146.1 562.4 192.1c186.7 43.7 376.3 34.4 557.9-12.6V0H0z'/%3E%3Cpath fill='%23463A6C' d='M181.8 259.4c98.2 6 191.9 35.2 281.3 72.1c2.8 1.1 5.5 2.3 8.3 3.4c171 71.6 342.7 158.5 531.3 207.7c198.8 51.8 403.4 40.8 597.3-14.8V0H0v283.2C59 263.6 120.6 255.7 181.8 259.4z'/%3E%3Cpath fill='%23514184' d='M1600 0H0v136.3c62.3-20.9 127.7-27.5 192.2-19.2c93.6 12.1 180.5 47.7 263.3 89.6c2.6 1.3 5.1 2.6 7.7 3.9c158.4 81.1 319.7 170.9 500.3 223.2c210.5 61 430.8 49 636.6-16.6V0z'/%3E%3Cpath fill='%235c469e' d='M454.9 86.3C600.7 177 751.6 269.3 924.1 325c208.6 67.4 431.3 60.8 637.9-5.3c12.8-4.1 25.4-8.4 38.1-12.9V0H288.1c56 21.3 108.7 50.6 159.7 82C450.2 83.4 452.5 84.9 454.9 86.3z'/%3E%3Cpath fill='%23674bb7' d='M1600 0H498c118.1 85.8 243.5 164.5 386.8 216.2c191.8 69.2 400 74.7 595 21.1c40.8-11.2 81.1-25.2 120.3-41.7V0z'/%3E%3Cpath fill='%23785cc5' d='M1397.5 154.8c47.2-10.6 93.6-25.3 138.6-43.8c21.7-8.9 43-18.8 63.9-29.5V0H643.4c62.9 41.7 129.7 78.2 202.1 107.4C1020.4 178.1 1214.2 196.1 1397.5 154.8z'/%3E%3Cpath fill='%238A6FD1' d='M1315.3 72.4c75.3-12.6 148.9-37.1 216.8-72.4h-723C966.8 71 1144.7 101 1315.3 72.4z'/%3E%3C/g%3E%3C/svg%3E");
background-attachment: fixed;
background-size: cover;
    color:#252233;
    
    color: white;
}

li {
    list-style-type: none;
}

a {
    text-decoration: none;
    color: white;
}

.neon_1 {
    top: 0rem;
    left: 0rem;
}

@keyframes scroll {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

/* HEADER------------------------------------------------------  */
.logo_tel {
    display: none;
}

/* .header_tel {
    display: none;
} */

header {
    width: 100%;
    position: fixed;
    z-index: 50;
    margin-top: 10px;
    opacity: 0;
    transform: translateY(-30px);
    animation: apparition 0.4s 2.5s ease-out forwards;
}

.logo svg {
    fill: white;
}

nav {
    display: flex;
    width: 60%;
    margin: 0 auto;
    background-color: rgba(255, 255, 255, 0.01);
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 25px;
    justify-content: space-around;
    align-items: center;
}

.header-visible {
    transform: translateY(0);
    background-color: rgba(255, 255, 255, 1);
    /* Fond blanc lorsque visible */
}

.header-visible svg {
    fill: #252233;
}

.header-visible a {
    color: #252233;
}

/* .header-visible .logo{
    margin-top: 10px;
    background-color: rgba(37,34,51, 0.9);
    border-radius: 50%;
    height: 40px;
    width: 40px;
} */

.header-hidden .logo {
    fill: #252233;
}

header a {
    font-family: "Lilita One", sans-serif;
    padding: 5px;
}

header svg {
    width: 2.9rem;
}

ul {
    padding: 0px;
    margin: 0px;
    width: 30rem;
    display: flex;
    justify-content: space-around;
}

ul li {
    display: flex;
    position: relative;
    align-items: center;
}

header li::after,
footer a::after,
.header-visible li::after {
    content: '';
    /* Crée un élément pseudo pour le soulignement */
    /* display: block; */
    width: 100%;
    height: 2px;
    /* Épaisseur du soulignement */
    position: absolute;
    bottom: 0;
    transform: scaleX(0);
    /* Commence avec une échelle de 0 */
    transition: transform 0.3s ease;
    /* Transition pour un effet progressif */
}

header li::after,
footer a::after {
    background: white;
}

.header-visible li::after {
    background: #252233;
}


header li:hover::after,
footer a:hover::after,
.header-visible li:hover::after {
    transform: scaleX(1);
}

/* ACCUEIL---------------------------------------------------- */
#acceuil {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100vh;
    position: relative;
    overflow: hidden;
    font-family: "Jua", sans-serif;
}

#acceuil svg {
    position: absolute;
    width: 5%;
    object-fit: cover;
    opacity: 0;
}

.item_1 {
    animation: appa 0.8s 1.3s ease-out forwards;
}

.item_2 {
    animation: appa 0.8s 1.5s ease-out forwards;
}

.item_3 {
    animation: appa 0.8s 1.7s ease-out forwards;
}

.item_4 {
    animation: appa 0.8s 1.9s ease-out forwards;
}

#acceuil h1,
#acceuil h2 {
    display: inline-block;
    opacity: 0;
    transform: translate(-30px);
}

#acceuil h1 {
    animation: apparition 0.8s 0.2s ease-out forwards;
}

#acceuil h2 {
    animation: apparition 0.8s 0.4s ease-out forwards;
}

.item_1 {
    top: 5rem;
    left: 3rem;
}

.item_2 {
    top: 20rem;
    left: 80rem;
}

.item_3 {
    top: 35rem;
    left: 15rem;
}

.item_4 {
    top: 10rem;
    left: 45rem;
}

.link{
    font-weight: bold;
    text-decoration: underline;
    color: #A787FD;
}

.nom {
    position: relative;
    display: grid;
    grid-template-columns: 1fr 1/2fr;
    grid-template-rows: 1fr 1fr;
    column-gap: 3rem;
    row-gap: 0rem;
    z-index: 10;
}

.prenom {
    grid-column: 1 / 2;
    grid-row: 1 / 2;
    font-size: 8rem;
    font-weight: bold;
    color: #ffffff;
    margin: 0;
    text-align: right;
}

.description {
    grid-column: 2 / 4;
    grid-row: 1 / 2;
    align-self: flex-end;
    font-size: 1.7rem;
    color: #ccc;
    font-family: "Jura", sans-serif;
    padding-bottom: 1.8rem;
    opacity: 0;
    transform: translateY(-30px);
    animation: apparition 0.8s 0.7s ease-out forwards;
}

.nom-famille {
    grid-column: 2 / 4;
    grid-row: 2 / 3;
    font-size: 8rem;
    font-weight: bold;
    color: #ffffff;
    margin: 0;
    text-align: left;
}

.highlight {
    color: #A787FD;
}

@keyframes apparition {
    100% {
        opacity: 1;
        transform: none;
    }
}

@keyframes appa {
    100% {
        opacity: 1;
    }
}

/* A PROPOS------------------------------------------ */
#propos {
    width: 100%;
    /* background-image: radial-gradient(circle at center right, #463A6C,#252233  30%);
    ; */
}

#apropos {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 80%;
    height: 100vh;
    margin: 0 auto;
}

#apropos p {
    text-align: justify;
    font-weight: 400;
    font-size: 25px;
}

#scroll-text span {
    color: rgba(255, 255, 255, 0.1);
    /* Départ : presque transparent */
    transition: color 0.3s ease;
    /* Animation douce pour le changement */
}

.CV {
    display: flex;
    width: 100%;
    padding-bottom: 15px;
}

.image {
    width: 25%;
    display: flex;
    align-items: flex-end;
}

.CV img {
    width: 100%;
    object-fit: cover;
    border-radius: 0.8rem;
    border: 2px solid rgba(255, 255, 255, 0.1);
}



.propos_boutton {
    display: flex;
    justify-content: space-around;
    align-items: flex-end;
    width: 30%;
}

h3 {
    font-family: "Lilita One", sans-serif;
    font-size: 40px;
}

.meContacter {
    background-color: white;
    color: #252233;
    font-family: "Jua", sans-serif;
    padding: 8px 13px;
    font-size: 17px;
    border-radius: 10px;
}

.meContacter:hover {
    background-color: rgb(150, 94, 255);
    color: white;
}

/*Télechargement CV*/
.Btn {
    width: 50px;
    height: 50px;
    border: none;
    border-radius: 50%;
    background-color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    position: relative;
    transition-duration: .3s;
}

.svgIcon {
    fill: #252233;
}

.icon2 {
    width: 18px;
    height: 5px;
    border-bottom: 2px solid #252233;
    border-left: 2px solid #252233;
    border-right: 2px solid #252233;
}

.tooltip {
    position: absolute;
    right: -85px;
    opacity: 0;
    background-color: rgb(150, 94, 255);
    color: white;
    padding: 5px 10px;
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition-duration: .2s;
    pointer-events: none;
    letter-spacing: 0.5px;
    font-family: "Poppins", sans-serif;
    font-weight: 600;
}

.tooltip::before {
    position: absolute;
    content: "";
    width: 10px;
    height: 10px;
    background-color: rgb(150, 94, 255);
    background-size: 1000%;
    background-position: center;
    transform: rotate(45deg);
    left: -5%;
    transition-duration: .3s;
}

.Btn:hover .tooltip {
    opacity: 1;
    transition-duration: .3s;
}

.Btn:hover {
    background-color: rgb(150, 94, 255);
    transition-duration: .3s;
}

.Btn:hover .icon2 {
    border-bottom: 2px solid rgb(235, 235, 235);
    border-left: 2px solid rgb(235, 235, 235);
    border-right: 2px solid rgb(235, 235, 235);
}

.Btn:hover .svgIcon {
    fill: rgb(255, 255, 255);
    animation: slide-in-top 0.6s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

@keyframes slide-in-top {
    0% {
        transform: translateY(-10px);
        opacity: 0;
    }

    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}

/* COMPETENCE------------------------------- */
#competences {
    position: relative;
    width: 100%;
    display: flex;
    height: 100vh;
    justify-content: center;
}

#item_diff_comp {
    width: 60%;

    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    grid-template-rows: 1/2fr 1fr 1fr 1fr;
    gap: 1rem;
}

.h3 {
    grid-column: 1 / 9;
    grid-row: 1 / 2;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}

.case1,
.case2,
.case3,
.case4,
.case5,
.case6,
.case7,
.case8 {
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 15px;
    position: relative;
}


.case1::before,
.case2::before,
.case3::before,
.case4::before,
.case5::before,
.case6::before,
.case7::before,
.case8::before,
.case9::before {
    background: radial-gradient(800px circle at var(--mouse-x) var(--mouse-y), rgba(167, 135, 253, 0.08), transparent 80%);
    border-radius: inherit;
    content: "";
    height: 100%;
    left: 0px;
    opacity: 0;
    transition: opacity 500ms;
    position: absolute;
    top: 0px;
    width: 100%;
    z-index: 2;
}

.case1:hover::before,
.case2:hover::before,
.case3:hover::before,
.case4:hover::before,
.case5:hover::before,
.case6:hover::before,
.case7:hover::before,
.case8:hover::before,
.case9:hover::before {
    opacity: 1;
}

.case1 {
    grid-column: 1 / 9;
    grid-row: 2 / 3;
}

.case2 {
    grid-column: 6 / 9;
    grid-row: 2 / 3;
}

.case3 {
    grid-column: 1 / 2;
    grid-row: 3 / 4;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-around;
}

.case4 {
    grid-column: 1 / 7;
    grid-row: 3 / 4;

}

.case5 {
    grid-column: 7 / 9;
    grid-row: 3 / 4;
}

.case6 {
    grid-column: 1 / 5;
    grid-row: 4 / 5;
}

.case7 {
    grid-column: 5 / 8;
    grid-row: 4 / 5;
}

.case8 {
    grid-column: 8 / 9;
    grid-row: 4 / 5;
}

.case {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.case svg {
    width: 45px;
    height: 45px;
}

.myadmin {
    filter: invert(1);
}

.comp_precis {
    display: flex;
    justify-content: space-around;
}

.case img {
    width: 45px;
}

.case p {
    font-family: "Jura", sans-serif;
    padding-top: 5px;
}

.casesql,
.casesym {
    display: flex;
    justify-content: center;
}

h4 {
    display: flex;
    font-size: 20px;
    justify-content: center;
}

.casei {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* -------------------------- DERNIER PROJET------------------------------- */
#projets {
    width: 100%;
    display: flex;
    height: 100vh;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    position: relative;
}

.dernierProject {
    display: flex;
    width: 100%;
    justify-content: space-around;
    align-items: center;
    flex-direction: column;
}

.datagouv {
    color: #A787FD;
}

.fleche,
.flecheRenverse {
    width: 1rem;
    margin: 0px 3px;
}

.flecheRenverse {
    transform: scaleY(-1);
}

.item_projet a {
    font-weight: bold;
}

#projets hr {
    width: 50%;
    background-color: rgba(255, 255, 255, 0.1);
    border: 0px;
    height: 1px;
}

.item_haut {
    display: flex;
    justify-content: space-between;
}

.item_projet {
    width: 80%;
    margin: 50px auto 50px auto;
}

.item_projet p {
    margin-top: 20px;
    text-align: justify;
}

.item_haut img {
    width: 80%;
    border-radius: 10px;
    z-index: 15;
}

.img_projet {
    border: 1px solid rgba(255, 255, 255, 0.1);
    position: relative;
    width: 50%;
    height: 8rem;
    margin: 2rem 0.5rem;
    border-radius: 0.8rem;
    display: flex;
    padding: 0.5rem 0.8rem;
    flex-direction: column;
    overflow: hidden;
    justify-content: space-around;
}

.img_projet2 {
    width: 32%;
    margin-bottom: 3rem;
}

.img_projet p {
    height: 100%;
}

.img_projet div:nth-of-type(1) {
    display: flex;
    justify-content: space-between;
}

.img_projet div p {
    font-size: 9.5pt;
    font-weight: 300;
}

.img_projet .projetNom {
    font-size: 15pt;
    display: flex;
    align-items: flex-end;
    justify-content: flex-start;
    font-weight: 500;
}

.img_projet p:nth-child(3) {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    font-size: 11pt;
    font-weight: 300;
}

.img_projet::before {
    background: radial-gradient(800px circle at var(--mouse-x) var(--mouse-y), rgba(167, 135, 253, 0.08), transparent 80%);
    border-radius: inherit;
    content: "";
    height: 100%;
    left: 0px;
    opacity: 0;
    transition: opacity 500ms;
    position: absolute;
    top: 0px;
    width: 100%;
    z-index: 2;
}

.img_projet:hover::before {
    opacity: 1;
}

.img_projet::after {
    content: "→";
    position: absolute;
    right: -20px;
    bottom: 50%;
    transform: translateY(50%);
    font-size: 1.8rem;
    color: #fff;
    opacity: 0;
    transition: all 0.3s ease;
}

.img_projet:hover::after {
    right: 10px;
    opacity: 1;
}

/* .img_projet::after {
    content: "";
    position: absolute;
    display: flex;
    justify-content: center;
    width: 95%;
    border-radius: 0.3rem;
    height: 17rem;
    background-color: rgba(0, 0, 0, 0);
    transition: background-color 0.3s ease;
    z-index: 30;
}

.img_projet:hover::after {
    background-color: rgba(0, 0, 0, 0.3);
} */

.item_photo {
    width: 60%;
}

.item_explication {
    width: 40%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.item_explication span {
    border-radius: 50%;
    border: 2px solid white;
    padding: 0px 9px;
    font-weight: 400;
    font-size: 25px;
    margin-right: 10px;
}

.item_explication span:hover {
    background-color: #fff;
    color: #252233;
}

.item_explication a {
    margin-top: 10px;
}

.hidden {
    display: none;
}

.language {
    color: #fff;
    border: 0px;
    font-family: "Jura", sans-serif;
    border-radius: 10rem;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    padding: 5px 10px;
    margin: 0 0.2rem;
    font-size: 17px;
    background-color: rgba(255, 255, 255, 0.1);
}

.language img {
    width: 13%;
}

.major {
    width: 12rem;
}

.lang,
.donnéeProject {
    display: flex;
    margin: 10px 0px;
}

.grp {
    background-color: #fff;
    color: #252233;
    padding: 3px 10px;
    font-family: "Poppins", sans-serif;
}

.propos_boutton2 {
    width: 30%;
    margin: 20px auto;
    display: flex;
    justify-content: space-around;
}
.allProject{
    padding: 0.5rem 1.5rem;
    border: 0.1rem solid rgba(255, 255, 255, 0.6);
    border-radius: 0.7rem;
    margin-bottom: 1rem;
}
.allProject:hover{
    background-color: rgba(255, 255, 255);
    color: #252233;
}
/* --------------------------PROJET------------------------------- */
.dernierProject2 {
    display: flex;
    width: 80%;
    justify-content: space-around;
    align-items: center;
    margin: 0 auto;
}

.dernierProject3 {
    display: flex;
    width: 80%;
    justify-content: flex-start;
    align-items: center;
    margin: 0 auto;
}

.toutProject {
    padding-top: 10vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    min-height: 90vh;
}

.toutProject h1 {
    text-align: center;
    font-family: "Lilita One", sans-serif;
}

.descriptionMajor {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.iconMajor {
    display: flex;
    justify-content: center;
    align-items: center;
}

.iconMajor img {
    width: 1.3rem;
    transition: all 0.3s ease;
}

.majorInfo {
    padding-left: 0.2rem;
}

.img_projet:hover .iconMajor img {
    transform: scale(1.2);
}

/* .donnéeProject{
    display: flex;
} */
.invert {
    filter: invert(1);
}

.bulleInfoProject {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.lien {
    width: 9rem;
    border: 0.1rem solid #fff;
}

.lien:hover {
    background: none;
    color: white;
}

.lien:hover img {
    filter: invert(0);
}

.lien img {
    width: 1.3rem;
}

.retour {
    color: white;
    height: 2.5rem;
    width: 8rem;
    padding: 0 0.5rem;
    border-radius: 1.5rem;
    border: 0.1rem solid white;
    margin-left: 5.5rem;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.retour img {
    width: 1.3rem;
}

.retour:hover {
    background-color: white;
    color: #252233;
}

.retour:hover img {
    filter: invert(0.75);
}

#retour {
    width: 100%;
    display: flex;
    justify-content: flex-start;
    margin: 10rem 0 1rem 0rem;
}

/*---------------------DESCRIPRION PROJET--------------------------*/
.infoGeneralProject {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.infoProject {
    border: 1px solid rgba(255, 255, 255, 0.1);
    position: relative;
    width: 100%;
    padding: 0.5rem 0.8rem;
    overflow: hidden;
    display: flex;
    justify-content: space-between;
}

.infoProject2 {
    width: 90%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.infoProject2 div:nth-child(1) {
    display: flex;
    justify-content: space-between;
}

.projetNom {
    display: flex;
    justify-content: center;
    font-size: 20pt;
}

.projetdesc {
    display: flex;
    justify-content: center;
    font-size: 10pt;
}

.gauche,
.droite {
    display: flex;
    justify-content: center;
    align-items: center;
}

/* .gauche:hover, .droite:hover{
    transform: scale(1.1);
} */
.gauche {
    transform: rotate(90deg);
}

.droite {
    transform: rotate(-90deg);
}

.gauche img,
.droite img {
    width: 1.5rem;
}

.bloquer {
    filter: invert(0.5);
    cursor: default;
}

.explicationProject {
    width: 85%;
    margin: 0 auto;
}

.explicationProject p {
    padding: 1rem 0 3rem 0;
    text-align: justify;

}

.explicationProject h1,
.explicationProject h2 {
    font-size: 15pt;
}

/* ------------------CONTACT----------------------- */
#contact {
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.contact2 {
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: space-between;
}

.form-group {
    display: flex;
    margin: 15px 0px;
    flex-direction: column;
}

.formulaire,
.reseaux {
    width: 50%;
}

.form-group input,
textarea {
    border: 1px solid rgba(255, 255, 255, 0.1);
    background-color: rgba(255, 255, 255, 0.02);
    border-radius: 6px;
    padding: 10px;
    margin: 5px 0px;
}

.form-group input {
    height: 3rem;
}

.form-group textarea {
    height: 8rem;
}

input::placeholder,
textarea::placeholder {
    color: rgba(255, 255, 255, 0.6);
    padding-left: 5px;
    font-size: 15px;
    font-family: "Poppins", sans-serif;
}

input:focus,
textarea:focus {
    color: #fff;
    /* Couleur du texte pendant la saisie */
    font-size: 15px;
    font-family: "Poppins", sans-serif;
}

.reseaux {
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 0px 100px;
}

.reseaux img {
    width: 50px;
}

#contact form {
    width: 50%;
    margin: 0 auto;
}

#contact hr {
    height: 10rem;
    width: 1px;
    border: 0px;
    background-color: rgba(255, 255, 255, 0.1);
}

.button-container {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

.btn2 {
    position: relative;
    display: inline-flex;
    align-items: center;
    cursor: pointer;
    transition-duration: .3s;
}

.tooltip2 {
    position: absolute;
    bottom: 100%;
    left: 50%;
    transform: translateX(-50%);
    opacity: 0;
    background-color: rgb(150, 94, 255);
    color: white;
    padding: 5px 8px;
    border-radius: 5px;
    transition-duration: .2s;
    pointer-events: none;
    letter-spacing: 0.5px;
    font-size: 12px;
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    margin-bottom: 8px;
}

.btn2:hover .tooltip2 {
    opacity: 1;
    transition-duration: .3s;
}
/*-------------------------------AFFICHE VALIDE/erreur-------------------------------*/
#valide,#erreur{
    display: flex;
    justify-content: center;
    /* margin-right: 50px; */
    margin: 0 auto;
  }
  .success {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    width: 320px;
    padding: 12px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    background: #84D65A;
    border-radius: 8px;
    box-shadow: 0px 0px 5px -3px #111;
  }
  .success__icon {
    width: 20px;
    height: 20px;
    transform: translateY(-2px);
    margin-right: 8px;
  }
  
  .success__icon path {
    fill: #393A37;
  }
  
  .success__title {
    font-weight: 500;
    font-size: 14px;
    color: #393A37;
  }
  
  .success__close {
    width: 20px;
    height: 20px;
    cursor: pointer;
    margin-left: auto;
  }
  
  .success__close path {
    fill: #393A37;
  }
  /*-------------------------------GALERIE-AFFICHE ERREUR-------------------------------*/
.error {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    width: 320px;
    padding: 12px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    background: #EF665B;
    border-radius: 8px;
    box-shadow: 0px 0px 5px -3px #111;
  }
  
  .error__icon {
    width: 20px;
    height: 20px;
    transform: translateY(-2px);
    margin-right: 8px;
  }
  
  .error__icon path {
    fill: #fff;
  }
  
  .error__title {
    font-weight: 600;
    font-size: 16px;
    color: #fff;
    top: 0;
  }
  
  .error__close {
    width: 20px;
    height: 20px;
    cursor: pointer;
    margin-left: auto;
  }
  
  .error__close path {
    fill: #fff;
  }
/* FIN AFFICHE ERREUR/VALID */

/* FOOTER--------------------------------- */
footer {
    display: flex;
    width: 97%;
    margin: 10px auto;
    font-size: 14px;
    padding: 10px 0px;
    justify-content: space-between;
}

hr {
    width: 100%;
    background-color: rgba(255, 255, 255, 0.1);
    border: 0px;
    height: 1px;
}

footer img {
    width: 1.5rem;
}

.icon {
    display: none;
}

@media (max-width: 480px) {

    html,
    body {
        width: 100%;
        height: 100%;
        /* Pour s'assurer que le fond couvre toute la hauteur également */
        overflow-x: hidden;
        /* Cela évite les débordements horizontaux */
    }

    body {
        background-color: #252233;
    }

    #acceuil h1,
    #acceuil h2 {
        font-size: 75px;
    }

    header {
        position: fixed;
        display: flex;
        justify-content: center;
        bottom: 0;
        left: 0;

        margin-bottom: 20px;
        z-index: 50;
    }

    nav {
        background-color: #342b51;
        width: 90%;
        height: 4rem;
        margin: 0 auto;
    }

    .logo svg {
        width: 50px;
    }

    ul span {
        display: none;
    }

    .icon {
        display: flex;
        width: 1.8rem;
    }

    /* 
    .active {
        display: flex;
        background-color: red;
    } */

    h4 {
        font-size: 15px;
        padding: 5px 0px;
    }

    .prenom {
        text-align: left;
    }

    .nom {
        grid-template-columns: 1fr;
        grid-template-rows: 2fr 2fr 1fr;
        width: 90%;
    }

    .item_2 {
        left: 20rem;
        top: 15rem;
    }

    .item_3 {
        left: 20rem;
        top: 40rem;
    }

    .item_4 {
        left: 8rem;
        top: 45rem;
    }

    .nom-famille {
        grid-column: 1 / 2;
        grid-row: 2 / 3;
    }

    #competences {
        height: auto;
        align-items: center;
    }

    .description {
        grid-column: 1 / 2;
        grid-row: 3 / 4;
        font-size: 18px;
    }

    #acceuil {
        height: 100vh;
    }

    #apropos {
        width: 90%;
        height: 60vh;
    }

    #scroll-text span {
        color: white;
        /* Départ : presque transparent */
    }

    #apropos p {
        font-size: 14px;
        text-align: justify;
    }

    .propos_boutton {
        width: 60%;
    }

    .image {
        width: 40%;
    }

    .item_projet a {
        margin: 20px 0px;
    }

    #item_diff_comp {
        grid-template-columns: 0.5fr 1fr 1fr 1fr 1fr;
        grid-template-rows: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
        width: 90%;
        gap:0rem;
    }

    .dernierProject {
        flex-direction: column;
        justify-content: center;
    }
    .img_projet{
        width: 80%;
    }

    #projets{
        height: 80vh;
    }

    .case1 {
        grid-column: 1 / 6;
        grid-row: 2/3;
    }

    .case2 {
        grid-column: 1 / 4;
        grid-row: 3 / 4;
    }

    .case6 {
        grid-column: 4 / 6;
        grid-row: 3 / 4;
    }

    .case3 {
        grid-column: 1 / 3;
        grid-row: 4 / 5;
    }

    .case4 {
        grid-row: 4 / 5;
        grid-column: 1 / 6;
    }

    .case7{
        grid-row: 5 / 6;
        grid-column: 1 / 6;
    }
    .case8{
        grid-row: 6 / 7;
        grid-column: 1/6;
    }
    .case5{
        grid-row: 7/8;
        grid-column: 1/6;
    }

    .case1,
    .case2,
    .case3,
    .case4,
    .case5,
    .case6,
    .case7,
    .case8,
    .case9 {
        width: 100%;
        margin: 0.2rem;
    }

    .comp_precis {
        display: flex;
        flex-wrap: wrap;
    }

    .i {
        width: 30%;
    }

    .casei{
        padding: 0.5rem 0;
    }

    .item_haut {
        display: block;
    }

    .item_explication,
    .item_photo,
    .formulaire {
        width: 100%;
    }

    .formulaire,
    .reseaux {
        margin: 0px;
        padding: 0px;
    }

    .reseaux img {
        width: 40px;
    }

    .propos_boutton2 {
        width: 80%;
    }

    .contact2 {
        display: flex;
        flex-direction: column-reverse;
    }

    .reseaux,
    #contact form {
        width: 70%;
    }

    #contact hr {
        height: 1px;
        width: 5rem;
    }

    #contact {
        height: 80vh;
        justify-content: space-around;
    }

    .contact2 {
        height: 70vh;
        justify-content: space-around;
    }
    .dernierProject2, .dernierProject3{
        flex-direction: column;
        width: 100%;
    }
    .bulleInfoProject{
        flex-direction: column;
    }
    .language{
        font-size: 13px;
    }
    .infoProject2 div:nth-child(1){
        justify-content: flex-start;
    }
    .lien{
        width: 7rem;
    }
    .retour{
        margin: 1rem;   
    }
    #retour{
        margin: 0;
    }
    .major{
        width: 9rem;
    }
    .infoProject{
        padding: 0;
    }
    .infoProject2{
        padding: 0 0.3rem;
    }
    .droite img, .gauche img{
        margin: 0 0.3rem  ;
    }

    footer {
        margin-bottom: 100px;
    }
}